List image shares

View as Markdown
List image shares created by your organization. The `id` field of each image share object is the "claim code" which should be given to the target organization representative and be used as the `image_share` value when claiming an image share. **Required scope:** `air:image_sharing` (roles: `air_image_sharer`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

claimed_bystringOptional
The email of the user who claimed the image share.
imagestringOptionalformat: "uuid"
image_namestringOptional
The name of the image that is being shared.
image_versionstringOptional
The version of the image that is being shared.
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by image_name, image_version, target_org_display_name, or source_org_display_name.

source_org_display_namestringOptional
The name of the org that is sharing the image.
stateenumOptional
A state associated with the image share. Only `ACTIVE` image shares may be claimed. * `ACTIVE` - Active * `CLAIMED` - Claimed * `EXPIRED` - Expired
Allowed values:
target_orgstringOptional
The NGC org name of the org that is receiving the image.
target_org_display_namestringOptional
The name of the org that is receiving the image.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error